Я получаю эту ошибку при обновлении и установке программного обеспечения: perl: warning: не удалось установить локаль

5

Я только что установил Ubuntu 11.04 на моем MT-сервере, и я продолжаю получать эту ошибку:

perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Это происходит, когда я пытаюсь установить или обновить программное обеспечение!

Как я могу это исправить?

    
задан THpubs 14.02.2012 в 17:56
источник

2 ответа

3

Только что получил ответ от MT:

echo "en_US.UTF-8 UTF-8" > /var/lib/locales/supported.d/local dpkg-reconfigure locales

Он отлично работает!

    
ответ дан THpubs 15.02.2012 в 03:03
источник
3

Run:

sudo dpkg-reconfigure locales

Если это не сработает, попробуйте добавить следующую строку в / etc / environment и перезагрузитесь.

LC_ALL="en_GB.utf8"

Или, если вы находитесь в США,

LC_ALL="en_US.UTF-8"

Дополнительную информацию см. в разделе

Ссылка

    
ответ дан SirCharlo 14.02.2012 в 18:38